g25+e2:
  general:
    full_name: "Graph 25+E II"
    international_name: "fx-7400G III"
    year_launched: 2020
    predecessor: g25+e
    successor: no
    family: family.mono
    active: yes
  teaching:
    audience: audience.high_school
    exam_mode: exam_mode.bad
    math_input: no
    pretty_print: no
    matrices: no
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.Q
    cas: no
  packaging:
    size: [21, 89, 181] # mm
    weight: 205 # g
    power: power.4aaa
    power_runtime: 230 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: no
    add_ins_sdk: []
    python: no
  hardware:
    mpu: "SH7305"
    cpu: "SH4AL-DSP"
    default_cpu_frequency: 59000000 # Hz
    overclock_tools: []
    max_cpu_frequency: 59000000 # Hz
    ram_chip: null
    rom_chip: 2000000 # bytes
    ram_storage: 20000 # bytes
    rom_storage: no
    sd_card: no
  devices:
    display: display.t6k11_variant
    backlit_display: no
    color_mode: color_mode.mono
    touch_screen: no
    display_size_pixels: [128, 64] # pixels
    display_size_text: [21, 7] # characters
    serial_connection: serial_connection.jack_25
    usb_connection: no
    protocols: [protocols.p7]
    transfer_software: [transfer_software.sb88_fa124]
  misc:
    price_range: [40, 60] # euros
    last_os_version: "3.20"
  links:
    casio_france:
      "[Casio Éducation](https://www.casio-education.fr/produits/graph-25e/) (2021)"
    casio_international: no
  manuals:
    software_french_fr:
      "3.20": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH35+EII_Soft_v330_FR.pdf"
    software_international_fr:
      "3.20": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9750GIII_Soft_v321_FR.pdf"
    software_international_en:
      "3.20": "https://support.casio.com/storage/en/manual/pdf/EN/004/fx-9750GIII_Soft_v321_EN.pdf"
    hardware_french_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/GRAPH25+EII_hard_FR.pdf"
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-9860GIII_9750GIII_7400GIII_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/EN/004/fx-9860GIII_9750GIII_7400GIII_Hard_EN.pdf"
